Bug 71668 - Mozilla crashes on startup and Galeon crashes when it tries to display native mozilla windows.
Mozilla crashes on startup and Galeon crashes when it tries to display native...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 11:17 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-02 22:42:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-08-16 11:17:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Since the native themes patch was applied to Mozilla if Mozilla is set to the
Classic theme(which is what Galeon uses and can't be changed from what I can
tell) it will crash on startup with the error message.

Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 1210 error_code 3 request_code 61 minor_code 0

Galeon will do the same thing if I click the manage certificates button in the
security preferences, because it uses the mozilla window instead of it's on
custom one.

This only happens when the gtk1 theme is set to Crux/Eazel engine(Offtopic side
note, I can get Galeon to crash on startup with a number of other gtk1 themes).
A workaround arounds for Mozilla are to not use the Crux theme or to use
another, select the Modern Mozilla theme and then reselect Crux. Like I said
above, you don't have a choice with Galeon as far as I know.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make sure Classic Mozilla theme is selected
2. Select Crux gtk1 theme
3. Start Mozilla

	

Actual Results:  Crash

Expected Results:  No crash

Additional info:

Limbo beta2

You can find the eazel-engine source rpm at freshrpms.net for testing.
Comment 1 G. Roderick Singleton 2002-12-02 09:26:52 EST
May also be releated to the display settings. Out of the box mozilla fails to
execute properly (i.e. crashes with no core) This occurs on a gateway 9300 using
the generic 1029x768 lcd display.
Comment 2 Nathan G. Grennan 2002-12-02 14:41:43 EST
I think your problem is another bug. This only relates to the native themes
patch as far as I know. I have disabled it in mozilla before and seen the
problem go away. I have also found that recent versions of Mozilla include
native theme code, but don't have this problem.
Comment 3 G. Roderick Singleton 2002-12-02 18:43:13 EST
Good thought but it isn't so. Galeon fails in exactly the manner you describe as
does mozilla. Thus I have picked the correct bug. That it behaves this way "out
of the box" is annoying that remond95 as a theme breaks mozilla and galeon in
this manner.  Changing my theme to something else has solved my problem as you
described.
Comment 4 Nathan G. Grennan 2002-12-02 18:48:21 EST
yes, it fails in Galeon but only when opening windows rendered handling by
Mozilla code. Example, the Manage Certificates window. In your first comment you
talked about it being a display setting, it isn't. It is just the type of theme
and the native theme.
Comment 5 Nathan G. Grennan 2003-01-02 22:42:59 EST
Fixed with Mozilla 1.2.1

Note You need to log in before you can comment on or make changes to this bug.